Loading...
Searching...
No Matches
true_function_traits< R(Args...)>

## Detailed Description

template<class R, class... Args>
struct rheolef::details::true_function_traits< R(Args...)>

Definition at line 168 of file field_expr_utilities.h.

Inheritance diagram for true_function_traits< R(Args...)>:

## Classes

struct | arg

## Public Types

using | result_type = R
typedef std::tuple< Args... > | args_tuple_type
using | function_type = R (Args...)
using | function_pointer_type = R (*)(Args...)
using | copiable_type = function_pointer_type
using | functor_type = std::function<R(Args...)>

## Static Public Attributes

static constexpr std::size_t | arity = sizeof...(Args)

## Member Typedef Documentation

## result_type

template<class R, class... Args>

using result_type = R

Definition at line 169 of file field_expr_utilities.h.

## args_tuple_type

template<class R, class... Args>

typedef std::tuple<Args...> args_tuple_type

Definition at line 176 of file field_expr_utilities.h.

## function_type

template<class R, class... Args>

using function_type = R (Args...)

Definition at line 177 of file field_expr_utilities.h.

## function_pointer_type

template<class R, class... Args>

using function_pointer_type = R (*)(Args...)

Definition at line 178 of file field_expr_utilities.h.

## copiable_type

template<class R, class... Args>

using copiable_type = function_pointer_type

Definition at line 180 of file field_expr_utilities.h.

## functor_type

template<class R, class... Args>

using functor_type = std::function<R(Args...)>

Definition at line 181 of file field_expr_utilities.h.

## Member Data Documentation

## arity

template<class R, class... Args>

std::size_t arity = sizeof...(Args)

static constexpr

Definition at line 170 of file field_expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/field_expr_utilities.h